import json
from datetime import datetime

class LLMCallLogger:
    def __init__(self, file_name):
        self.file_name = file_name

    def log(self, message, completion_tokens = None, prompts_tokens = None):
        # Create a new record
        record = {
            "date": datetime.now().isoformat(),
            "message": message,
            "completion_tokens": completion_tokens,
            "prompts_tokens": prompts_tokens
        }

        # Read existing records
        try:
            with open(self.file_name, 'r') as file:
                records = json.load(file)
        except FileNotFoundError:
            records = []

        # Append the new record
        records.append(record)

        # Write the updated records back to the file
        with open(self.file_name, 'w') as file:
            json.dump(records, file, indent=4)